var zgoda = confirm("Witaj, czy chciałbyś się ze mną zaprzyjaźnić?");

if(zgoda == true){
	var imie = prompt("Proszę podaj mi swoje imię:");
	document.write("Witaj " + imie + ", miło cię poznać! :)");
}else{
	alert("Przykro mi ale nie rozmawiam z nieznajomymi!");
}